{ pkgs, ... }:

{
  services = {
    audiobookshelf.enable = true;
    caddy.virtualHosts."https://audiobookshelf.tailc50184.ts.net".extraConfig = ''
      bind tailscale/audiobookshelf
      reverse_proxy localhost:8000
    '';
  };
  environment.systemPackages = with pkgs; [
    audible-cli
    ffmpeg
    lame
    jq
    mp4v2
    mediainfo
  ];
}
